# dask.dataframe.Index.cov

Index.cov(other, min_periods=None, split_every=False)

  Compute covariance with Series, excluding missing values.

  This docstring was copied from pandas.core.series.Series.cov.

  Some inconsistencies with the Dask version may exist.

  The two Series objects are not required to be the same length and will be aligned internally before the covariance is calculated.

  Parameters:
    other Series

      Series with which to compute the covariance.

    min_periods int, optional

      Minimum number of observations needed to have a valid result.

    ddof int, default 1 (Not supported in Dask)

      Delta degrees of freedom. The divisor used in calculations is `N - ddof`, where `N` represents the number of elements.

  Returns:
    float

      Covariance between Series and other normalized by N-1 (unbiased estimator).

  See also

  `DataFrame.cov`

    Compute pairwise covariance of columns.

  Examples

      >>> s1 = pd.Series([0.90010907, 0.13484424, 0.62036035])
      >>> s2 = pd.Series([0.12528585, 0.26962463, 0.51111198])
      >>> s1.cov(s2)
      -0.01685762652715874